-- -----------------------------------------------------------------------------
--[[----------------------------------------------------------------------------

                    __    ,- WOEZ FRIENDS LIST
                   /✷_)      Made with ❤ by woOtzee
           _.---._/ /
         /         /
      _/         |/
     /__.-|_|--|_|

                                     Feel free to contact me / hello@wootzee.com
-- -------------------------------------------------------------------------]]--
-- -----------------------------------------------------------------------------

local ADDON_NAME, ns = ...
local WFEZ_D,WFEZ_O,WFEZ_F,L = ns.datas,ns.functions,ns.frames,ns.locales

-- -----------------------------------------------------------------------------
-- EVENTS
-- -----------------------------------------------------------------------------

for _,event in pairs(WFEZ_D.events) do
    WFEZ_O:DEBUG('REGISTER',event)
    WFEZ_F.main:RegisterEvent(event)
end


WFEZ_F.main:SetScript("OnEvent",function(self,event,...)
    local arg = ...
    WFEZ_O:DEBUG('FIRE',event,tostring(arg))
    ----------------------------------------------------------------------------
    ----------------------------------------------------------------------------
    if event == "PLAYER_LOGIN" then
        WFEZ_O:SHOW_WELCOME()
		WFEZ_O:UPDATE_LDB()
		WFEZ_O:UPDATE_MAP()
	----------------------------------------------------------------------------
	elseif event == "PLAYER_GUILD_UPDATE" or event == "GUILD_ROSTER_UPDATE" then
		WFEZ_O:GET_FRIENDS()
        WFEZ_O:REFRESH_FRIENDS()
		WFEZ_O:UPDATE_LDB()
    ----------------------------------------------------------------------------
    elseif event == "FRIENDLIST_UPDATE" then
		WFEZ_O:GET_FRIENDS()
        WFEZ_O:REFRESH_FRIENDS()
		WFEZ_O:UPDATE_LDB()
    ----------------------------------------------------------------------------
     elseif event == "BN_FRIEND_INFO_CHANGED" then
	 	WFEZ_O:GET_FRIEND_TABLE(arg,true)
	 	WFEZ_O:REFRESH_FRIENDS()
    ----------------------------------------------------------------------------
    ----------------------------------------------------------------------------
    end
    return
end)
--
-- -----------------------------------------------------------------------------
-- -----------------------------------------------------------------------------

-- local hotkey = select ( 3 , GetBinding(197) );



